/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebPivotGridDescription = /*@__PURE__*/ (() => {
    class WebPivotGridDescription extends WebGridBaseDirectiveDescription {
        constructor() {
            super();
            this.hv = null;
            this.hd = null;
            this.hg = false;
            this.hh = false;
            this.hl = null;
            this.hf = false;
            this.hq = null;
            this.hm = null;
            this.hu = null;
            this.hs = null;
            this.hp = null;
            this.hr = null;
            this.hw = null;
            this.ht = null;
            this.hx = null;
        }
        get_type() {
            return "WebPivotGrid";
        }
        get valueChipTemplateRef() {
            return this.hv;
        }
        set valueChipTemplateRef(a) {
            this.hv = a;
            this.g("ValueChipTemplateRef");
        }
        get pivotConfiguration() {
            return this.hd;
        }
        set pivotConfiguration(a) {
            this.hd = a;
            this.g("PivotConfiguration");
        }
        get showPivotConfigurationUI() {
            return this.hg;
        }
        set showPivotConfigurationUI(a) {
            this.hg = a;
            this.g("ShowPivotConfigurationUI");
        }
        get superCompactMode() {
            return this.hh;
        }
        set superCompactMode(a) {
            this.hh = a;
            this.g("SuperCompactMode");
        }
        get dimensionDataColumns() {
            return this.hl;
        }
        set dimensionDataColumns(a) {
            this.hl = a;
            this.g("DimensionDataColumns");
        }
        get defaultExpandState() {
            return this.hf;
        }
        set defaultExpandState(a) {
            this.hf = a;
            this.g("DefaultExpandState");
        }
        get dataRef() {
            return this.hq;
        }
        set dataRef(a) {
            this.hq = a;
            this.g("DataRef");
        }
        get filteredData() {
            return this.hm;
        }
        set filteredData(a) {
            this.hm = a;
            this.g("FilteredData");
        }
        get emptyPivotGridTemplateRef() {
            return this.hu;
        }
        set emptyPivotGridTemplateRef(a) {
            this.hu = a;
            this.g("EmptyPivotGridTemplateRef");
        }
        get dimensionsChangeRef() {
            return this.hs;
        }
        set dimensionsChangeRef(a) {
            this.hs = a;
            this.g("DimensionsChangeRef");
        }
        get configurationChangeRef() {
            return this.hp;
        }
        set configurationChangeRef(a) {
            this.hp = a;
            this.g("ConfigurationChangeRef");
        }
        get dimensionInitRef() {
            return this.hr;
        }
        set dimensionInitRef(a) {
            this.hr = a;
            this.g("DimensionInitRef");
        }
        get valueInitRef() {
            return this.hw;
        }
        set valueInitRef(a) {
            this.hw = a;
            this.g("ValueInitRef");
        }
        get dimensionsSortingExpressionsChangeRef() {
            return this.ht;
        }
        set dimensionsSortingExpressionsChangeRef(a) {
            this.ht = a;
            this.g("DimensionsSortingExpressionsChangeRef");
        }
        get valuesChangeRef() {
            return this.hx;
        }
        set valuesChangeRef(a) {
            this.hx = a;
            this.g("ValuesChangeRef");
        }
    }
    WebPivotGridDescription.$t = markType(WebPivotGridDescription, 'WebPivotGridDescription', WebGridBaseDirectiveDescription.$);
    return WebPivotGridDescription;
})();
